%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Module:  f_dB
% Purpose: compute amplitude amplification in dB: y_dB = 20*log10(x)
% Inputs:  
%   x()  required : |x| is taken as amplitude amplification 
%   xmin default 0: x is clipped to |x|>=xmin as log(0)=-infinite
% Outputs: 
%   y_dB : 20*log10(max(abs(x),xmin))
% Author: Martin Schubert
% Date last modified: 05.Apr.2017 by M. Schubert
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function y_dB = f_dB(x,xmin);
if nargin==1;
  y_dB = 20*log10(abs(x));
else
  y_dB = 20*log10(max(abs(x),xmin));
end;