% tb_quanitze: Testbench for f_quantize
clear all;   % clear workspace
addpath('../../functions');
%
% General specifications for quantization
NoL    = 2;     % Number of quantization Levels
xmin   = -1.2;  xmax =  1.2;
ymin   = -1;    ymax =  1;
bounds = [-0.5  0.5];
%
NoS   = 101;  % Numbe of Samples
t     = 0:NoS-1;
F     = 1/50; % frequency rel to sample -> wavelength=1/F samples
x     = 1.2*sin(2*pi*F*t);
%
% quantization
deltaX  = (ymax-ymin)/(NoL-1);% Quantization deltY: smallest possible step
%         f_quantize(input, [offset, delta])
y1      = f_quantize(  x  , [   0  ,   2  ]); % no   offset adjustment
y2      = f_quantize(  x  , [   1  ,   2  ]); % with offset adjustment
%
% Graphical postprocessing
figure(42);
subplot(211); plot(t,x,'b',t,y1,'r-'); grid on;
title('simple quantizer'); xlabel('sample number'); ylabel('no offset');
subplot(212); plot(t,x,'b',t,y2,'g-'); grid on;
xlabel('sample number'); ylabel('with offset');
